_: {
  programs = let
    enableZsh = {
      enable = true;
      enableZshIntegration = true;
    };
  in {
    zsh = {
      enable = true;
      enableCompletion = true;
      autosuggestion.enable = true;
      syntaxHighlighting.enable = true;

      autocd = true;

      shellAliases = {
        l = "eza";

        md = "mkdir -p";

        ip = "ip --color";
      };
    };

    direnv = enableZsh;

    fzf = enableZsh;
    eza = enableZsh;
    zoxide = enableZsh;

    tmux.enable = true;
    btop = {
      enable = true;
      settings.color_theme = "ayu";
    };
  };
}
